%define ver 0.10.1
%define rel %mkrel 11

%define fname PropList
%define major 0
%define libname %mklibname %fname %major

Summary:	Lib for configuration or preference files compatible GNUstep/OPENSTEP
Name:		libPropList
Version:	%{ver}
Release:	%{rel}
License:	GPL/LGPL (see files COPYING and COPYING.LIB in /usr/share/doc/libPropList)
Group:		System/Libraries

Source:		ftp://ftp.windowmaker.org/libs/libPropList-%{version}.tar.bz2

BuildRequires:	flex
Buildroot:	%{_tmppath}/libPropList-root
Obsoletes:	wmakerconf <= 2.5-1mdk

%description
The purpose of PL is to closely mimic the behavior of the property
lists used in the GNUstep/OPENSTEP (they're formed with the NSString,
NSData, NSArray and NSDictionary classes) and to be duly compatible.

PL enables programs that use configuration or preference3 files to
make these compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without needing to use Objective-C or GNUstep/
OPENSTEP themselves.

%package -n %libname
Group:      System/Libraries
Summary:	Lib for configuration or preference files compatible GNUstep/OPENSTEP
Provides: %name = %version-%release
Obsoletes: %name

%description -n %libname
The purpose of PL is to closely mimic the behavior of the property
lists used in the GNUstep/OPENSTEP (they're formed with the NSString,
NSData, NSArray and NSDictionary classes) and to be duly compatible.

PL enables programs that use configuration or preference3 files to
make these compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without needing to use Objective-C or GNUstep/
OPENSTEP themselves.

%package -n %libname-devel
Summary:	Lib for configuration or preference files compatible GNUstep/OPENSTEP
Group:		Development/C
Requires:	%libname = %version-%release
Provides:   %name-devel = %version-%release
Obsoletes:  %name-devel

%description -n %libname-devel
lists used in the GNUstep/OPENSTEP (they're formed with the NSString,
NSData, NSArray and NSDictionary classes) and to be duly compatible.

PL enables programs that use configuration or preference3 files to
make these compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without needing to use Objective-C or GNUstep/
OPENSTEP themselves.

This package contains Static libraries and header files needs for development.

%prep 
%setup -q 

%build
%configure
make

%install
%makeinstall

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*.h



%changelog
* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10.1-11mdv2008.1
+ Revision: 150790
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Oct 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.10.1-10mdk
- rebuild

* Tue Jul 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.1-9mdk
- reupload, again
- rebuild for requires/provides

* Wed May 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.1-8mdk 
- fix version
- reupload

* Sun May 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.1-7mdk
- rebuild for rpm 4.2
- use %%mklibname

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.10.1-6mdk
- BuildRequires:	flex
- Copyright --> License

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.1-5mdk
- Rebuild with glibc-2.2 & gcc-2.96

* Mon Sep 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.10.1-4mdk
- changed path in Copyright header to /usr/share/doc

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.10.1-3mdk
- rebuild with macros
- move *.so to devel

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.1-2mdk
- Make rpmlint happy

* Mon Apr 03 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1

* Thu Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.0-2mdk
- Split in two packages (normal and devel)

* Thu Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10.0-1mdk
- 0.10.0
- Use new Groups
- Use %%{_tmppath} for BuildRoot
- Clean spec

* Mon Nov 29 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Back to 0.9.1 (WindowMaker seems unstable with 0.9.2)
- Add a defattr

* Fri Oct 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.9.2

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed Summary, it was too large

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last CVS version from Mon Jun 28 1999.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- packaged independently

